tigase.server.xmppclient

## Class ClientTrustManagerFactory

- java.lang.Object
- - tigase.server.xmppclient.ClientTrustManagerFactory

-     @Bean(name="client-trust-manager-factory",
            parent=ClientConnectionManager.class,
            active=true)
      public class ClientTrustManagerFactory
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientTrustManagerFactory.ClientTrustVHostItemExtension`
    `static class` | `ClientTrustManagerFactory.ClientTrustVHostItemExtensionProvider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CA_CERT_PATH`
    `static String` | `CERT_REQUIRED_KEY`
    `protected TrustManager[]` | `defaultTrustManagers`
    `protected TrustManager[]` | `emptyTrustManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTrustManagerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected X509Certificate[]` | `getAcceptedIssuers()`
    `TrustManager[]` | `getManager(VHostItem vHost)`
    `TrustManager[]` | `getManager(XMPPIOService<Object> serv)`
    `boolean` | `isActive()`
    `boolean` | `isTlsNeedClientAuthEnabled(VHostItem vhost)`
    `boolean` | `isTlsWantClientAuthEnabled(VHostItem vhost)`
    `protected TrustManager[]` | `loadTrustedCert(String caCertFile)`
    `void` | `setClientCertCA(String clientCertCA)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CA_CERT_PATH

          public static final String CA_CERT_PATH

      See Also:
        Constant Field Values

    - #### CERT_REQUIRED_KEY

          public static final String CERT_REQUIRED_KEY

      See Also:
        Constant Field Values

    - #### emptyTrustManager

          protected final TrustManager[] emptyTrustManager

    - #### defaultTrustManagers

          protected TrustManager[] defaultTrustManagers

  - ### Constructor Detail

    - #### ClientTrustManagerFactory

          public ClientTrustManagerFactory()

  - ### Method Detail

    - #### setClientCertCA

          public void setClientCertCA(String clientCertCA)

    - #### getManager

          public TrustManager[] getManager(VHostItem vHost)

    - #### getManager

          public TrustManager[] getManager(XMPPIOService<Object> serv)

    - #### isActive

          public boolean isActive()

    - #### isTlsNeedClientAuthEnabled

          public boolean isTlsNeedClientAuthEnabled(VHostItem vhost)

    - #### isTlsWantClientAuthEnabled

          public boolean isTlsWantClientAuthEnabled(VHostItem vhost)

    - #### getAcceptedIssuers

          protected X509Certificate[] getAcceptedIssuers()

    - #### loadTrustedCert

          protected TrustManager[] loadTrustedCert(String caCertFile)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.